'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _withRebass = require('./withRebass');

var _withRebass2 = _interopRequireDefault(_withRebass);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }
// Fixed aspect ratio component

var AspectRatio = function AspectRatio(_ref) {
  var _ref$ratio = _ref.ratio;
  var ratio = _ref$ratio === undefined ? 4 / 3 : _ref$ratio;
  var className = _ref.className;
  var style = _ref.style;
  var theme = _ref.theme;
  var subComponentStyles = _ref.subComponentStyles;

  var props = _objectWithoutProperties(_ref, ['ratio', 'className', 'style', 'theme', 'subComponentStyles']);

  var cx = (0, _classnames2.default)('AspectRatio', className);

  var sx = _extends({
    width: '100%',
    height: 0,
    paddingBottom: ratio * 100 + '%'
  }, style);

  return _react2.default.createElement('div', _extends({}, props, {
    className: cx,
    style: sx }));
};

AspectRatio._name = 'AspectRatio';

exports.default = (0, _withRebass2.default)(AspectRatio);