'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _withRebass = require('./withRebass');

var _withRebass2 = _interopRequireDefault(_withRebass);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Bar = function Bar(_ref) {
  var _ref$value = _ref.value;
  var value = _ref$value === undefined ? 0 : _ref$value;
  var className = _ref.className;
  var style = _ref.style;
  var theme = _ref.theme;
  var subComponentStyles = _ref.subComponentStyles;

  var props = _objectWithoutProperties(_ref, ['value', 'className', 'style', 'theme', 'subComponentStyles']);

  var scale = theme.scale;
  var bold = theme.bold;
  var colors = theme.colors;

  var cx = (0, _classnames2.default)('Bar', className);

  var _style$backgroundColo = style.backgroundColor;
  var backgroundColor = _style$backgroundColo === undefined ? style.fill.backgroundColor || colors.muted : _style$backgroundColo;

  var rootStyle = _objectWithoutProperties(style, ['backgroundColor']);

  var p = value * 100 + '%';
  var backgroundImage = 'linear-gradient(90deg, ' + backgroundColor + ' ' + p + '%, transparent ' + p + ')';

  var sx = _extends({
    fontWeight: bold,
    padding: scale[1],
    backgroundSize: '100% 100%',
    backgroundImage: backgroundImage
  }, rootStyle);

  return _react2.default.createElement('div', _extends({}, props, {
    className: cx,
    style: sx }));
};

Bar._name = 'Bar';

exports.default = (0, _withRebass2.default)(Bar);